Bug 461495 (CVE-2008-3905)

Summary: CVE-2008-3905 ruby: use of predictable source port and transaction id in DNS requests done by resolv.rb module
Product: [Other] Security Response Reporter: Tomas Hoger <thoger>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: jlieskov, kreilly, tagoh
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: reported=20080808,public=20080808,source=mailinglist,impact=moderate
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-11-13 10:23:44 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 461578, 461579, 461580, 461590, 461591    
Bug Blocks:    

Description Tomas Hoger 2008-09-08 11:31:16 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-3905 to the following vulnerability:

resolv.rb in Ruby 1.8.5 and earlier, 1.8.6 before 1.8.6-p287, 1.8.7
before 1.8.7-p72, and 1.9 r18423 and earlier uses sequential
transaction IDs and constant source ports for DNS requests, which
makes it easier for remote attackers to spoof DNS responses, a
different vulnerability than CVE-2008-1447.

References:
http://www.ruby-lang.org/en/news/2008/08/08/multiple-vulnerabilities-in-ruby/
http://www.openwall.com/lists/oss-security/2008/09/04/9

Upstream patch:
http://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=rev&revision=18424
Comment 8 Fedora Update System 2008-10-09 17:35:07 EDT
ruby-1.8.6.287-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.